[arch-commits] Commit in nextcloud-app-spreed/repos (2 files)

David Runge dvzrv at gemini.archlinux.org
Thu May 5 22:09:19 UTC 2022


    Date: Thursday, May 5, 2022 @ 22:09:19
  Author: dvzrv
Revision: 1195552

archrelease: copy trunk to community-staging-any

Added:
  nextcloud-app-spreed/repos/community-staging-any/
  nextcloud-app-spreed/repos/community-staging-any/PKGBUILD
    (from rev 1195551, nextcloud-app-spreed/trunk/PKGBUILD)

----------+
 PKGBUILD |   94 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 94 insertions(+)

Copied: nextcloud-app-spreed/repos/community-staging-any/PKGBUILD (from rev 1195551, nextcloud-app-spreed/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2022-05-05 22:09:19 UTC (rev 1195552)
@@ -0,0 +1,94 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+_name=spreed
+pkgname=nextcloud-app-spreed
+pkgver=14.0.0
+pkgrel=1
+epoch=1
+pkgdesc="Video & audio-conferencing using WebRTC"
+arch=(any)
+url="https://apps.nextcloud.com/apps/spreed"
+license=(AGPL3)
+groups=(nextcloud-apps)
+makedepends=(nextcloud)
+checkdepends=(ripgrep yq)
+source=(https://github.com/nextcloud-releases/$_name/releases/download/v$pkgver/$_name-v$pkgver.tar.gz)
+sha512sums=('209b4d422f2b5b50ceeb5aa59751a65851ade889dbcb2577584fdca11818bd56b531545db85bafc3d0135bd6a94c3d6e5eaf82d864319c693ae5b59dd915835f')
+b2sums=('2f8064798ca371dc413055b658e2680890beb11410825ed33592caffc9babc02e1e6541e6ea090cdb966721ec3bcfbec5672ff888253378575954121d215bc24')
+
+_get_nextcloud_versions() {
+  _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version=$(expr ${_app_max_major_version} + 1)
+}
+
+_get_php_versions() {
+  local _phps=(php7 php)
+
+  _app_min_php="$(xq '.info.dependencies.php["@min-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_php="$(xq '.info.dependencies.php["@max-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _system_php=""
+  for _php in "${_phps[@]}"; do
+    if command -v "$_php" > /dev/null; then
+      if [[ -z "$_system_php" ]]; then
+        _system_php="$_php"
+      fi
+    fi
+  done
+}
+
+prepare() {
+  find ${_name} -type f -exec chmod 644 {} +
+  find ${_name} -type d -exec chmod 755 {} +
+}
+
+check() {
+  local _app_min_major_version
+  local _app_max_major_version
+  _get_nextcloud_versions
+  _get_php_versions
+  local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+
+  if (("$(vercmp "$_nextcloud_major_version" "$_app_min_major_version")"<0)) || (("$(vercmp "$_nextcloud_major_version" "$_app_max_major_version")">0)) ; then
+    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "$_app_min_major_version" "$_app_max_major_version" "$_nextcloud_major_version"
+    exit 1
+  fi
+
+  local _php_version="$($_system_php --version |head -n1 |cut -d ' ' -f2 |sed 's/.[0-9]*$//g')"
+  if [[ "$(vercmp "$_php_version" "$_app_min_php" )" -lt 0 ]]; then
+    printf "%s requires php >= %s, but %s is provided\n" $pkgname $_app_min_php $_php_version
+    exit 1
+  fi
+  if [[ $_app_max_php != 'null' ]]; then
+    if [[ "$(vercmp "$_php_version" "$_app_min_php" )" -lt 0 ]]; then
+      printf "%s requires php <= %s, but %s is provided\n" $pkgname $_app_min_php $_php_version
+      exit 1
+    fi
+  fi
+}
+
+package() {
+  _get_nextcloud_versions
+  _get_php_versions
+
+  depends=(
+    "nextcloud>=$_app_min_major_version"
+    "nextcloud<$_app_max_major_version"
+  )
+  if [[ "$_app_min_php" != 'null' ]]; then
+    depends+=(
+      "php>=$_app_min_php"
+    )
+  fi
+  if [[ "$_app_max_php" != 'null' ]]; then
+    depends+=(
+      "php<=$_app_max_php"
+    )
+  fi
+  if [[ "$_app_min_php" == 'null' ]] && [[ "$_app_max_php" == 'null' ]]; then
+    depends+=(php)
+  fi
+
+  install -vdm 755 "$pkgdir/usr/share/webapps/nextcloud/apps/"
+  cp -av $_name "$pkgdir/usr/share/webapps/nextcloud/apps/"
+}



More information about the arch-commits mailing list